package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TScrapReportMapper;
import com.ruoyi.business.domain.TScrapReport;
import com.ruoyi.business.service.ITScrapReportService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-08-25
 */
@Service
public class TScrapReportServiceImpl extends ServiceImpl<TScrapReportMapper, TScrapReport> implements ITScrapReportService
{
    @Autowired
    private TScrapReportMapper tScrapReportMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param scrapid 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TScrapReport selectTScrapReportByScrapid(String scrapid)
    {
        return tScrapReportMapper.selectTScrapReportByScrapid(scrapid);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tScrapReport 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TScrapReport> selectTScrapReportList(TScrapReport tScrapReport)
    {
        return tScrapReportMapper.selectTScrapReportList(tScrapReport);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tScrapReport 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTScrapReport(TScrapReport tScrapReport)
    {
        return tScrapReportMapper.insertTScrapReport(tScrapReport);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tScrapReport 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTScrapReport(TScrapReport tScrapReport)
    {
        return tScrapReportMapper.updateTScrapReport(tScrapReport);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param scrapids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTScrapReportByScrapids(String scrapids)
    {
        return tScrapReportMapper.deleteTScrapReportByScrapids(Convert.toStrArray(scrapids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param scrapid 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTScrapReportByScrapid(String scrapid)
    {
        return tScrapReportMapper.deleteTScrapReportByScrapid(scrapid);
    }
}
